Page MenuHomePhabricator

Phabricator as Wikimedia software project management tool
Closed, ResolvedPublic

Description

A Wikimedia Foundation top priority for October - December 2014

The blocker tasks define the tasks that must be completed to consider this goal done. There are more related tasks filed at Project-Management

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedAwjrichards
ResolvedQgil
ResolvedQgil
ResolvedAwjrichards
ResolvedQgil
ResolvedQgil
DuplicateNone
Resolvedgreg
Resolvedggellerman
ResolvedNone
InvalidNone
DuplicateNone
ResolvedAklapper
DeclinedNone
ResolvedGilles
ResolvedNone
DeclinedQgil
Resolvedchasemp
Resolvedchasemp
ResolvedChristopher
ResolvedChristopher
Resolved Spage
ResolvedArrbee
ResolvedAklapper
ResolvedArrbee
ResolvedJdlrobson
Resolved atgo
ResolvedNone
DeclinedQgil
ResolvedQgil
Resolvedaripstra
ResolvedDbrant
Resolved Spage
Resolved Spage
ResolvedQgil

Event Timeline

Qgil created this task.Oct 23 2014, 5:52 AM
Qgil claimed this task.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Qgil renamed this task from Complete the Phabricator for Project Management transition to Phabricator as Wikimedia Engineering project management tool.Oct 23 2014, 6:02 AM
Qgil moved this task from Backlog to Doing on the Project-Management board.Oct 23 2014, 6:05 AM
Qgil renamed this task from Phabricator as Wikimedia Engineering project management tool to Phabricator as Wikimedia software project management tool.Oct 23 2014, 6:28 AM
Qgil moved this task from Backlog to Ready to Go on the ECT-October-2014 board.Nov 4 2014, 8:12 AM

It was impractical to keep Project-Management as a separate project. I have merged all tasks in Phabricator (some already were associated to both projects).

We will have a slightly bigger Phabricator project now, but there is where the stuff happens.

Qgil moved this task from To Triage to Doing on the Phabricator board.Jan 12 2015, 10:28 AM
Qgil closed this task as Resolved.Jan 16 2015, 10:11 AM
Qgil added a subscriber: Aklapper.

Yesterday we had Engineering Community team quarterly review. We agreed that the top priority we set for October-December 2014 had been accomplished. @Aklapper is now driving the next phase, consolidate Phabricator as project management tool. You can check the measures of success of this goal in the related slide. Proper Phabricator tasks will be coming soon.

jayvdb added a subscriber: jayvdb.Jun 11 2015, 6:38 AM

As this is resolved, an update on the status of the propriety project management tools used by WMF may be possible: https://meta.wikimedia.org/wiki/FLOSS-Exchange#Wikimedia_Foundation